## libtcod 1.5.1-maemo1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (libtcod)

# All projects need "include" directory
include_directories(include)

find_package(OpenGL REQUIRED)

SET(ROOT_DIR ${CMAKE_CURRENT_SOURCE_DIR})
SET(INSTALL_DIR ${CMAKE_CURRENT_SOURCE_DIR})
SET(DEPENDENCY_DIR ${CMAKE_CURRENT_SOURCE_DIR}/dependencies)
SET(GUI_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/include/gui)

IF(MSVC)
	SET(LIBTCOD_NAME libtcod-VS)
	SET(LIBTCOD_GUI_NAME libtcod-gui-VS)
	SET(LIB_DIR msvc)
ELSEIF(MINGW)
	SET(LIBTCOD_NAME tcod-mingw)
	SET(LIBTCOD_GUI_NAME tcod-gui-mingw)
	SET(LIB_DIR mingw)
ELSEIF(APPLE)
	SET(LIBTCOD_NAME tcod)
	SET(LIBTCOD_GUI_NAME tcod-gui)
	SET(LIB_DIR osx)
ELSEIF(UNIX)
	SET(LIBTCOD_NAME tcod)
	SET(LIBTCOD_CPP_NAME tcodxx)
	SET(LIBTCOD_GUI_NAME tcod-gui)
	SET(LIB_DIR linux)
ENDIF()

#Linux uses system libraries
if(MSVC OR MINGW)
	# MSVC uses special SDL headers.
	IF(MSVC)
		include_directories(${DEPENDENCY_DIR}/SDL-1.2.12/include/msvc)
	ELSE()
		include_directories(${DEPENDENCY_DIR}/SDL-1.2.12/include)
	ENDIF()

	include_directories(${DEPENDENCY_DIR}/zlib-1.2.3/include)
	include_directories(${DEPENDENCY_DIR}/libpng-1.2.31/include)

	LINK_DIRECTORIES(${DEPENDENCY_DIR}/libpng-1.2.31/lib/${LIB_DIR}/ ${DEPENDENCY_DIR}/SDL-1.2.12/lib/${LIB_DIR}/ 
					${DEPENDENCY_DIR}/zlib-1.2.3/lib/${LIB_DIR}/)
ELSE()
	find_package(SDL REQUIRED)
	find_package(PNG REQUIRED)
	find_package(ZLIB REQUIRED)
	find_package(Threads REQUIRED)
	find_library(M_LIB m)
	IF(CMAKE_BUILD_TYPE MATCHES "Debug")
		find_library(EFENCE_LIBRARY efence PATHS /usr/lib /usr/local/lib)
	ENDIF()
ENDIF()

add_subdirectory(src) #Needs to come first since samples depend on it
add_subdirectory(samples)


# For swig to work you either need to set SWIG_PROGRAM_PATH (Windows) or SWIG_SYSTEM (Everywhere else).
# You also need to uncomment the add_subdirectory at the end of the file...

# This needs to be set to the path to a swig executable if you want swig support (and uncommented out).
#SET(SWIG_PROGRAM_PATH "C:\\Users\\donblas\\Programming\\swigwin-1.3.40")
#SET(SWIG_SYSTEM TRUE)

#SET(SWIG_CSHARP TRUE)
#SET(SWIG_PYTHON TRUE)
#SET(SWIG_LUA TRUE)

# BROKEN - These generators will need work to get working...
#SET(SWIG_JAVA TRUE)
#SET(SWIG_PHP TRUE)
#SET(SWIG_RUBY TRUE)
# Under Windows, the ruby find_package doesn't seem to work...
#SET(SWIG_RUBY_HEADER_PATH "C:\\Ruby19\\include\\ruby-1.9.1")
#SET(SWIG_RUBY_LIB_DIR "C:\\Ruby19\\lib\\")
#SET(SWIG_RUBY_LIB "libmsvcrt-ruby191-static.a")
# ENDBROKEN 

#add_subdirectory(swig)

=== samples/CMakeLists.txt ===
IF(MSVC)
	# msvc wants to "deprecate" standard C. Turn those warnings off.
	add_definitions(-D_CRT_SECURE_NO_WARNINGS)
	add_definitions(-D_CRT_NONSTDC_NO_DEPRECATE)
ENDIF()

IF(MSVC)
	SET(UPX ${DEPENDENCY_DIR}/upx/win/upx.exe)
	SET(PROGRAM_ENDING .exe)
ELSEIF(MINGW)
	SET(UPX ${DEPENDENCY_DIR}/upx/win/upx.exe)
	SET(PROGRAM_ENDING .exe)
ELSEIF(APPLE)
	SET(PROGRAM_ENDING )
ELSEIF(UNIX)
	SET(UPX upx)
	SET(PROGRAM_ENDING )
ENDIF()

SET(LIBTCOD_SAMPLE_C_SRC samples_c.c)
SET(LIBTCOD_SAMPLE_CPP_SRC samples_cpp.cpp)
SET(LIBTCOD_HP_TOOL_SRC hmtool/operation.cpp hmtool/hmtool.cpp)

add_executable(samples_c ${LIBTCOD_SAMPLE_C_SRC})
target_link_libraries(samples_c ${LIBTCOD_NAME}) 

add_executable(samples_cpp ${LIBTCOD_SAMPLE_CPP_SRC})
target_link_libraries(samples_cpp ${LIBTCOD_NAME} ${LIBTCOD_CPP_NAME})  #${LIBTCOD_CPP_NAME} is empty on non-linux platforms

add_executable(hmtool ${LIBTCOD_HP_TOOL_SRC})
target_link_libraries(hmtool ${LIBTCOD_NAME} ${LIBTCOD_GUI_NAME}) 

IF(UNIX)
	SET(CMAKE_EXE_LINKER_FLAGS "-Wl,-rpath,. ${CMAKE_EXE_LINKER_FLAGS}")
ENDIF()

set_property(TARGET samples_c PROPERTY DEBUG_POSTFIX "_debug")
set_property(TARGET samples_cpp PROPERTY DEBUG_POSTFIX "_debug")
set_property(TARGET hmtool PROPERTY DEBUG_POSTFIX "_debug")

IF(CMAKE_BUILD_TYPE MATCHES "Release")
	IF(NOT APPLE)
		ADD_CUSTOM_COMMAND(
	  	 TARGET samples_c
	  	 POST_BUILD
	   	 COMMAND ${UPX} samples_c${PROGRAM_ENDING}
		    VERBATIM
		)

		ADD_CUSTOM_COMMAND(
		    TARGET samples_cpp
		    POST_BUILD
		    COMMAND ${UPX} samples_cpp${PROGRAM_ENDING}
		    VERBATIM
		)
	
		ADD_CUSTOM_COMMAND(
   		    TARGET hmtool
		    POST_BUILD
		    COMMAND ${UPX} hmtool${PROGRAM_ENDING}
		    VERBATIM
		)
	ENDIF()
ENDIF()

INSTALL(TARGETS samples_c samples_cpp hmtool
  RUNTIME DESTINATION ${INSTALL_DIR}
  LIBRARY DESTINATION ${INSTALL_DIR}
)

=== src/CMakeLists.txt ===
IF(MSVC)
	# msvc wants to "deprecate" standard C. Turn those warnings off.
	add_definitions(-D_CRT_SECURE_NO_WARNINGS)
	add_definitions(-D_CRT_NONSTDC_NO_DEPRECATE)

	SET(LIBTCOD_NAME libtcod-VS)
	SET(LIBTCOD_GUI_NAME libtcod-gui-VS)
	SET(PNG_NAME libpng)
	SET(SDL_NAME SDL)
	SET(ZLIB_NAME zdll)
ELSEIF(MINGW)
	SET(LIBTCOD_NAME tcod-mingw)
	SET(LIBTCOD_GUI_NAME tcod-gui-mingw)
	SET(PNG_NAME png)
	SET(SDL_NAME SDL)
	SET(ZLIB_NAME z)
ELSEIF(APPLE)
	SET(LIBTCOD_NAME tcod)
	SET(LIBTCOD_GUI_NAME tcod-gui)
	find_package(PNG REQUIRED)
	SET(PNG_NAME ${PNG_LIBRARIES})
	include_directories(${PNG_INCLUDE_DIR})
	find_package(SDL REQUIRED)
	SET(SDL_NAME ${SDL_LIBRARY})
	SET(ZLIB_NAME z)
ELSEIF(UNIX)
	SET(LIBTCOD_NAME tcod)
	SET(LIBTCOD_CPP_NAME tcodxx)
	SET(LIBTCOD_GUI_NAME tcod-gui)
	SET(PNG_NAME png)
	SET(SDL_NAME SDL)
	SET(ZLIB_NAME z)
ENDIF()

SET(LIBTCOD_C_SRC bresenham_c.c bsp_c.c color_c.c console_c.c fov_c.c fov_circular_raycasting.c 
				fov_diamond_raycasting.c fov_permissive.c fov_permissive2.c fov_recursive_shadowcasting.c 
				fov_restrictive.c heightmap_c.c image_c.c lex_c.c list_c.c mersenne_c.c namegen_c.c 
				noise_c.c parser_c.c path_c.c sys_c.c sys_opengl_c.c sys_sdl_c.c sys_sdl_img_bmp.c 
				sys_sdl_img_png.c tree_c.c txtfield_c.c wrappers.c zip_c.c)

SET(LIBTCOD_CPP_SRC bresenham.cpp bsp.cpp color.cpp console.cpp fov.cpp heightmap.cpp image.cpp lex.cpp mersenne.cpp 
				mouse.cpp namegen.cpp noise.cpp parser.cpp path.cpp sys.cpp txtfield.cpp zip.cpp)

IF(APPLE)
SET(LIBTCOD_C_SRC ${LIBTCOD_C_SRC} ../osx/macsupport.m)
ENDIF()

SET(LIBTCOD_GUI_SRC gui/button.cpp gui/container.cpp gui/flatlist.cpp gui/hbox.cpp gui/image.cpp gui/label.cpp  gui/radiobutton.cpp 
				gui/slider.cpp gui/statusbar.cpp gui/textbox.cpp gui/togglebutton.cpp gui/toolbar.cpp gui/vbox.cpp gui/widget.cpp)

# Linux wants seperate C and C++ libraries.
IF(UNIX AND NOT APPLE)
	add_library(${LIBTCOD_NAME} SHARED ${LIBTCOD_C_SRC})
	target_link_libraries(${LIBTCOD_NAME} ${PNG_NAME} ${SDL_NAME} ${ZLIB_NAME} ${OPENGL_LIBRARY} ${M_LIB} ${EFENCE_LIBRARY})

	add_library(${LIBTCOD_CPP_NAME} SHARED ${LIBTCOD_CPP_SRC})
	target_link_libraries(${LIBTCOD_CPP_NAME} ${LIBTCOD_NAME} ${PNG_NAME} ${SDL_NAME} ${ZLIB_NAME} ${OPENGL_LIBRARY} ${M_LIB} ${EFENCE_LIBRARY})
ELSE()
	add_library(${LIBTCOD_NAME} SHARED ${LIBTCOD_C_SRC} ${LIBTCOD_CPP_SRC})
	target_link_libraries(${LIBTCOD_NAME} ${PNG_NAME} ${SDL_NAME} ${ZLIB_NAME} ${OPENGL_LIBRARY}) 
ENDIF()

include_directories(${GUI_INCLUDE_DIR})
add_library(${LIBTCOD_GUI_NAME} SHARED ${LIBTCOD_GUI_SRC})
target_link_libraries(${LIBTCOD_GUI_NAME} ${LIBTCOD_NAME} ${LIBTCOD_CPP_NAME}) 	#${LIBTCOD_CPP_NAME} is empty on non-linux platforms

IF(MSVC OR MINGW)
	# Since we're exporting functions and clases, we use the "standard" macro combinations to do so under msvc.
	# These turn them on for the right builds.
	set_property(TARGET ${LIBTCOD_NAME} PROPERTY COMPILE_DEFINITIONS LIBTCOD_EXPORTS)
	set_property(TARGET ${LIBTCOD_GUI_NAME} PROPERTY COMPILE_DEFINITIONS LIBTCOD_GUI_EXPORTS)
ENDIF()

IF(MSVC)
	# Since libtcod pulls in DLLs that use the release CRT, force the linker to never try to cross match CRTs
	set_property(TARGET ${LIBTCOD_NAME} PROPERTY LINK_FLAGS "/NODEFAULTLIB:MSVCRTD.lib ")
ENDIF()

set_property(TARGET ${LIBTCOD_NAME} PROPERTY DEBUG_POSTFIX "-debug")
set_property(TARGET ${LIBTCOD_CPP_NAME} PROPERTY DEBUG_POSTFIX "-debug")
set_property(TARGET ${LIBTCOD_GUI_NAME} PROPERTY DEBUG_POSTFIX "-debug")

IF(UNIX)
	SET(CMAKE_SHARED_LIBRARY_LINK_C_FLAGS "") #Workaround for -rdynamic
	SET(CMAKE_SHARED_LIBRARY_LINK_CXX_FLAGS "") #same

	SET(CMAKE_SKIP_RPATH ON) #Don't place hard coded rpaths'
	SET(CMAKE_SHARED_LINKER_FLAGS "-Wl,-rpath,. ${CMAKE_SHARED_LINKER_FLAGS}")
ENDIF()

#${LIBTCOD_CPP_NAME} is empty on non-linux platforms
INSTALL(TARGETS ${LIBTCOD_NAME} ${LIBTCOD_GUI_NAME} ${LIBTCOD_CPP_NAME}
  RUNTIME DESTINATION ${INSTALL_DIR}
  LIBRARY DESTINATION ${INSTALL_DIR}
)

=== swig/CMakeLists.txt ===
IF(DEFINED SWIG_PROGRAM_PATH OR DEFINED SWIG_SYSTEM)
	MESSAGE(STATUS "Enabling Swig Support...")
	IF(MSVC OR MINGW)
		SET(CMAKE_PROGRAM_PATH ${SWIG_PROGRAM_PATH})
	ENDIF()

	FIND_PACKAGE(SWIG REQUIRED)
	INCLUDE(${SWIG_USE_FILE})
	SET(CMAKE_SWIG_FLAGS "")
	SET_SOURCE_FILES_PROPERTIES(libtcod.i PROPERTIES CPLUSPLUS ON)

	IF(DEFINED SWIG_CSHARP)	
		MESSAGE(STATUS "Swig CSharp Support Enabled...")
		IF(MSVC)
			SET(CSHARP_LIB_NAME libtcod-net-unmanaged)
		ELSEIF(MINGW)
			SET(CSHARP_LIB_NAME tcod-net-unmanaged)
		ELSEIF(APPLE)
			SET(CSHARP_LIB_NAME tcod-net-unmanaged-mac)
		ELSEIF(UNIX)
			SET(CSHARP_LIB_NAME tcod-net-unmanaged-linux)
			SET(CMAKE_SHARED_LIBRARY_LINK_C_FLAGS "") #Workaround for -rdynamic
			SET(CMAKE_SHARED_LIBRARY_LINK_CXX_FLAGS "") #same
			SET(CMAKE_SKIP_RPATH ON) #Don't place hard coded rpaths'
		ENDIF()

		SET(CMAKE_SWIG_FLAGS -namespace libtcod -dllimport libtcod-net-unmanaged -DTCODLIB_API)
		SET(CMAKE_SWIG_OUTDIR ${ROOT_DIR}/swig/generated/csharp)
		SWIG_ADD_MODULE(${CSHARP_LIB_NAME} csharp libtcod.i)
		SWIG_LINK_LIBRARIES(${CSHARP_LIB_NAME} ${LIBTCOD_NAME} ${LIBTCOD_CPP_NAME} ) 

		IF(UNIX)
			SET_TARGET_PROPERTIES(${SWIG_MODULE_${CSHARP_LIB_NAME}_REAL_NAME} PROPERTIES LINK_FLAGS "-Wl,-rpath,.")
		ENDIF()
	ENDIF()

	IF(DEFINED SWIG_PYTHON)	
		FIND_PACKAGE(PythonLibs REQUIRED)
		MESSAGE(STATUS "Swig Python Support Enabled(Only Works In Release Builds)...")
		include_directories(${PYTHON_INCLUDE_PATH})

		SET(CMAKE_SWIG_FLAGS -DTCODLIB_API)
		SET(CMAKE_SWIG_OUTDIR ${ROOT_DIR}/swig/generated/python)
		SWIG_ADD_MODULE(libtcod-python python libtcod.i)
		SWIG_LINK_LIBRARIES(libtcod-python ${LIBTCOD_NAME} ${PYTHON_LIBRARIES})
	ENDIF()

	IF(DEFINED SWIG_LUA)
		IF(MINGW)
			FIND_PACKAGE(Lua51 REQUIRED)
		ELSEIF(UNIX)
			FIND_PACKAGE(Lua50 REQUIRED)
		ENDIF()
		MESSAGE(STATUS "Swig Lua Support Enabled...")
		include_directories(${LUA_INCLUDE_DIR})

		SET(CMAKE_SWIG_FLAGS -DTCODLIB_API)
		SET(CMAKE_SWIG_OUTDIR ${ROOT_DIR}/swig/generated/lua)
		SWIG_ADD_MODULE(libtcod-lua lua libtcod.i)
		SWIG_LINK_LIBRARIES(libtcod-lua ${LIBTCOD_NAME} ${LIBTCOD_CPP_NAME} ${LUA_LIBRARIES})
	ENDIF()

	IF(DEFINED SWIG_RUBY)
		IF(UNIX)
			FIND_PACKAGE(Ruby REQUIRED)
			MESSAGE(STATUS "Swig Ruby Support Enabled...")
			include_directories(${RUBY_INCLUDE_PATH})
			SET(CMAKE_SWIG_FLAGS -DTCODLIB_API)
			SET(CMAKE_SWIG_OUTDIR ${ROOT_DIR}/swig/generated/ruby)
			SWIG_ADD_MODULE(libtcod-ruby ruby libtcod.i)
			SWIG_LINK_LIBRARIES(libtcod-ruby ${LIBTCOD_NAME} ${LIBTCOD_CPP_NAME} ${RUBY_LIBRARY})
		ELSEIF(MINGW)
			#Doesn't work yet...
			#MESSAGE(STATUS "Swig Ruby Support Enabled (Manual)...")
			#include_directories(${SWIG_RUBY_HEADER_PATH})
			#include_directories(${SWIG_RUBY_HEADER_PATH}/i386-mingw32)
			#LINK_DIRECTORIES($(SWIG_RUBY_LIB_DIR))
			#SET(CMAKE_SWIG_FLAGS -DTCODLIB_API)
			#SET(CMAKE_SWIG_OUTDIR ${ROOT_DIR}/swig/generated/ruby)
			#SWIG_ADD_MODULE(libtcod-ruby ruby libtcod.i)
			#SWIG_LINK_LIBRARIES(libtcod-ruby ${LIBTCOD_NAME} ${SWIG_RUBY_LIB})
		ELSEIF(MSVC)
			#MESSAGE(STATUS "Swig Ruby Support doesn't work under MSVC...")
		ENDIF()
	ENDIF()

	IF(DEFINED SWIG_JAVA)
		FIND_PACKAGE(JNI REQUIRED)
		MESSAGE(STATUS "Swig Java Support Enabled...")
		include_directories(${JNI_INCLUDE_DIRS})
		SET(CMAKE_SWIG_OUTDIR ${ROOT_DIR}/swig/generated/java/libtcod)
		SWIG_ADD_MODULE(libtcod-java java libtcod.i)
		SWIG_LINK_LIBRARIES(libtcod-java ${JNI_LIBRARIES} ${LIBTCOD_NAME} ${LIBTCOD_CPP_NAME})
	ENDIF()
		
	IF(DEFINED SWIG_PHP)
		FIND_PACKAGE(PHP4 REQUIRED)
		MESSAGE(STATUS "Swig PHP Support Enabled...")
		include_directories(${PHP4_INCLUDE_PATH})
		SET(CMAKE_SWIG_OUTDIR ${ROOT_DIR}/swig/generated/php)
		SWIG_ADD_MODULE(libtcod-php php libtcod.i)
		SWIG_LINK_LIBRARIES(libtcod-php ${LIBTCOD_NAME} ${LIBTCOD_CPP_NAME})
	ENDIF()

ENDIF()

=== debian/changelog ===
libtcod (1.5.1-maemo1) unstable; urgency=low

  * Initial release
  * NO_OPENGL (include/libtcod.h)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 14 Jul 2011 22:21:40 +0200

=== debian/control ===
Source: libtcod
Section: libs
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com> 
Build-Depends: debhelper (>= 5.0.42), libsdl1.2-dev, cmake, zlib1g-dev, libpng12-dev
Standards-Version: 3.8.1
Homepage: http://doryen.eptalys.net/libtcod/

Package: libtcod
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library for roguelike games

Package: libtcod-dev
Section: libdevel
Architecture: any
Depends: libtcod (= ${Source-Version})
Description: Library for roguelike games. Headers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	mkdir build
	cd build ; cmake .. 
	echo `head -n 1 build/src/CMakeFiles/tcod-gui.dir/link.txt` -lX11 > build/src/CMakeFiles/tcod-gui.dir/link.txt
	echo `head -n 1 build/src/CMakeFiles/tcodxx.dir/link.txt` -lX11 > build/src/CMakeFiles/tcodxx.dir/link.txt
	echo `head -n 1 build/src/CMakeFiles/tcod.dir/link.txt` -lX11 > build/src/CMakeFiles/tcod.dir/link.txt
	cd build ; make 

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	rm -rf build

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	#####
	#LIB
	#####
	#folder
	install -d ${CURDIR}/debian/libtcod/usr/lib/

	#files
	install ${CURDIR}/build/src/libtcod-gui.so ${CURDIR}/debian/libtcod/usr/lib/
	install ${CURDIR}/build/src/libtcod.so ${CURDIR}/debian/libtcod/usr/lib/
	install ${CURDIR}/build/src/libtcodxx.so ${CURDIR}/debian/libtcod/usr/lib/

	#####
	#dev
	#####
	#folder
	install -d ${CURDIR}/debian/libtcod-dev/usr/include/libtcod
	install -d ${CURDIR}/debian/libtcod-dev/usr/include/libtcod/gui

	#files
	install ${CURDIR}/include/*.h*       ${CURDIR}/debian/libtcod-dev/usr/include/libtcod
	install ${CURDIR}/include/gui/*.hpp  ${CURDIR}/debian/libtcod-dev/usr/include/libtcod/gui



# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## libtcod 1.6.0~pre1+dfsg

=== debian/changelog ===
libtcod (1.6.0~pre1+dfsg-1) unstable; urgency=medium

  * Initial release. Closes: #704587

 -- Fabian Wolff <fabi.wolff@arcor.de>  Tue, 26 Apr 2016 21:19:14 +0200

=== debian/control ===
Source: libtcod
Maintainer: Fabian Wolff <fabi.wolff@arcor.de>
Section: libs
Priority: extra
Build-Depends: debhelper (>= 9),
               autoconf,
               automake,
               libtool,
               pkg-config,
               libsdl2-dev,
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: https://bitbucket.org/libtcod/libtcod

Package: libtcod0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: graphics and utility library for roguelike developers
 Libtcod offers a free, fast, portable and uncomplicated API for
 roguelike developers providing an advanced true color console, input
 and lots of other utilities frequently used in roguelikes.
 .
 This package contains the runtime libraries. You shouldn't have to
 install it manually.

Package: libtcod-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libtcod0 (= ${binary:Version}),
         ${misc:Depends}
Description: development files for the libtcod roguelike library
 Libtcod offers a free, fast, portable and uncomplicated API for
 roguelike developers providing an advanced true color console, input
 and lots of other utilities frequently used in roguelikes.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode:
# export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@  --parallel --sourcedirectory=build/autotools

run_autoreconf:
	cd build/autotools; ./run_autotools.sh

override_dh_auto_configure: run_autoreconf
	dh_auto_configure

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=build/autotools/gui

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --sourcedirectory=build/autotools/gui

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//, uversionmangle=s/-pre/~pre/" https://bitbucket.org/libtcod/libtcod/downloads .*/(\d\S*)\.tar\.gz debian uupdate

## libtcod 1.6.1+dfsg

=== debian/changelog ===
libtcod (1.6.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fix debian/watch.
  * Update patches:
     - Remove 0001-Use-global-zlib.h.patch (fixed upstream).
     - Rewrite 0002-Fix-soname.patch as 00-fix-makefile.patch.
     - Remove 0003-Fix-spelling-errors.patch (fixed upstream).
     - Remove 0005-Fix-warnings.patch (fixed upstream).
     - Rename patch 0004-Fix-cppcheck.patch as 01-fix-cppcheck.patch.
  * Update symbols file.
  * Adjust debian/rules.
  * Update debian/copyright.
  * Install upstream changelog.
  * Add the python-libtcod package.
  * Add patch 02-python-multiarch.patch to help the Python wrapper find
    libtcod.so in /usr/lib/<MULTIARCH>/.
  * Add debian/clean file and override_dh_auto_clean target in debian/rules.

 -- Fabian Wolff <fabi.wolff@arcor.de>  Fri, 21 Oct 2016 18:59:46 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,9 @@
                libtool,
                pkg-config,
                libsdl2-dev,
-               zlib1g-dev
+               zlib1g-dev,
+               python,
+               dh-python
 Standards-Version: 3.9.8
 Homepage: https://bitbucket.org/libtcod/libtcod
 
@@ -38,3 +40,18 @@
  and lots of other utilities frequently used in roguelikes.
  .
  This package contains the development files.
+
+Package: python-libtcod
+Architecture: all
+Section: python
+Depends: libtcod-dev (>= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends},
+         ${python:Depends}
+Description: Python bindings for the libtcod library
+ Libtcod offers a free, fast, portable and uncomplicated API for
+ roguelike developers providing an advanced true color console, input
+ and lots of other utilities frequently used in roguelikes.
+ .
+ This package contains the libtcodpy wrapper module needed to use
+ libtcod in Python programs.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode:
# export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@  --with python2 --parallel --sourcedirectory=build/autotools

override_dh_auto_configure:
	cd build/autotools; autoreconf -fi
	dh_auto_configure

override_dh_auto_clean:
	-cd build/autotools; make distclean

override_dh_installchangelogs:
	dh_installchangelogs libtcod-CHANGELOG.txt

## libtcod 1.6.3+dfsg

=== build/scons/SConstruct ===

import os
import sys

import platform
import re
import subprocess
import tarfile
import time
import urllib
import zipfile


def ensure_path(path):
    """Make sure a directory exists for a new file at path."""
    path = os.path.dirname(path)
    if not os.path.isdir(path):
        os.makedirs(path)


def download_sdl2_win32(env):
    """Download the MinGW or VC development distribution from libsdl.org"""
    if env.File('$SDL2_ZIP_PATH').exists():
        return
    print(env.subst('Downloading $SDL2_ZIP_URL'))
    ensure_path(env.subst('$SDL2_ZIP_PATH'))
    urllib.urlretrieve(env.subst('$SDL2_ZIP_URL'), env.subst('$SDL2_ZIP_PATH'))


def unpack_sdl2_win32(env):
    """Unpack an SDL2 zip/tar file."""
    if env.Dir('$SDL2_PATH').exists():
        print(env.subst('SDL2 already exists at $SDL2_PATH'))
        return
    download_sdl2_win32(env)
    print(env.subst('Extracting $SDL2_ZIP_FILE to $DEPENDANCY_DIR'))
    if(env.subst('$SDL2_ZIP_FILE').endswith('.zip')):
        zf = zipfile.ZipFile(env.subst('$SDL2_ZIP_PATH'), 'r')
    else:
        zf = tarfile.open(env.subst('$SDL2_ZIP_PATH'), 'r|*')
    zf.extractall(env.subst('$DEPENDANCY_DIR'))
    zf.close()


def download_sdl2_darwin(env):
    """Download the Mac OS/X distribution from libsdl.org"""
    if env.File('$SDL2_DMG_PATH').exists():
        return
    print(env.subst('Downloading $SDL2_DMG_URL'))
    ensure_path(env.subst('$SDL2_DMG_PATH'))
    urllib.urlretrieve(env.subst('$SDL2_DMG_URL'), env.subst('$SDL2_DMG_PATH'))


def unpack_sdl2_darwin(env):
    """Unpack an SDL2 dmg file."""
    if env.Dir('$SDL2_PATH').exists():
        print(env.subst('SDL2 already exists at $SDL2_PATH'))
        return
    download_sdl2_darwin(env)
    print(env.subst('Extracting $SDL2_DMG_PATH to $DEPENDANCY_DIR'))
    subprocess.check_call(['hdiutil', 'mount', env.subst('$SDL2_DMG_PATH')])
    subprocess.check_call(['cp', '-r', '/Volumes/SDL2/SDL2.framework',
                                       env.subst('$DEPENDANCY_DIR')])
    subprocess.check_call(['hdiutil', 'unmount', '/Volumes/SDL2'])


def samples_factory():
    """Return a list of samples builders."""
    samples = []
    installers = []

    env_samples = env.Clone()
    env_samples.Append(CPPDEFINES=['TCOD_SDL2'])
    if env['TOOLSET'] == 'mingw':
        # These might need to be statically linked somewhere.
        env_libtcod.Append(LINKFLAGS=['-static-libgcc', '-static-libstdc++'])

    if sys.platform == 'win32':
        env_samples.Append(LIBS=['libtcod', 'libtcod-gui'])
    else:
        env_samples.Append(LIBS=['tcod', 'tcod-gui'])

    for name in os.listdir(env.subst('$LIBTCOD_ROOT_DIR/samples')):
        path = os.path.join(env.subst('$LIBTCOD_ROOT_DIR/samples'), name)
        path_variant = os.path.join(env.subst('$VARIANT/samples'), name)
        if os.path.isdir(path):
            target = name
            source=Glob(os.path.join(path_variant, '*.c*'))
        elif name[-2:] == '.c' or name[-4:] == '.cpp':
            target=name.rsplit('.')[0]
            source=path_variant
        else:
            continue
        target = os.path.join('$VARIANT', target)
        samples.append(
            env_samples.Program(
                target=target,
                source=source,
                )
            )
    env.Depends(samples, [libtcod, libtcod_gui])
    return samples


def get_libtcod_version():
    """Return the latest version number from the CHANGELOG."""
    for filename in os.listdir(LIBTCOD_ROOT_DIR):
        if 'CHANGELOG' not in filename:
            continue
        with open(os.path.join(LIBTCOD_ROOT_DIR, filename), 'r') as changelog:
            # Grab the first thing we see after a "===" separator.
            return re.match(r'[^=]+=+(?:\r\n?|\n)([^ :]+)',
                            changelog.read()).groups()[0]


LIBTCOD_ROOT_DIR = '../..'

vars = Variables()
pre_vars = Environment(variables=vars)
vars.Add(EnumVariable('MODE', 'Set build variant.', 'RELEASE',
                      allowed_values=('RELEASE', 'DEBUG')))

default_toolset = 'msvc' if sys.platform == 'win32' else 'default'
vars.Add(EnumVariable('TOOLSET', 'Force using this compiler. (Windows only)',
                      default_toolset, ('default', 'msvc', 'mingw')))

vars.Add('CCFLAGS', 'Compiler flags', '')
vars.Add('LINKFLAGS', 'Linker flags', '')

vars.Add(EnumVariable('ARCH', 'Set target architecture. (Windows/Linux only)',
                      'x86', allowed_values=('x86', 'x86_64')))

# A dummy environment to check the current variables so far.
env_vars = Environment(variables=vars)

if env_vars['TOOLSET'] == 'default':
    default_tag = '$VERSION-$ARCH'
    windows_toolset = 'msvc'
else:
    default_tag = '$VERSION-$ARCH-$TOOLSET'
    windows_toolset = env_vars['TOOLSET']

if env_vars['MODE'] != 'RELEASE':
    default_tag += '-$MODE'

vars.Add('TAG', 'Variant tag.', default_tag)
vars.Add('CPPDEFINES', 'Defined preprocessor values.',
         'NO_OPENGL NDEBUG TCOD_SDL2')

vars.Add('VERSION', 'libtcod version.', get_libtcod_version())
vars.Add('DIST_NAME', 'Name of the output zip file.', '$VARIANT-$DATETIME')

if sys.platform == 'win32':
    DEPENDANCY_DIR = './dependencies/$WINDOWS_TOOLSET'
else:
    DEPENDANCY_DIR = './dependencies'
vars.Add('DEPENDANCY_DIR', 'Directory to cache SDL2.', DEPENDANCY_DIR)
vars.Add('SDL2_VERSION', 'SDL version to fetch. (Windows/Mac only)', '2.0.5')

if windows_toolset == 'msvc':
    sdl2_zip_file = 'SDL2-devel-$SDL2_VERSION-VC.zip'
else:
    sdl2_zip_file = 'SDL2-devel-$SDL2_VERSION-mingw.tar.gz'

if sys.platform == 'win32':
    sdl2_path = '$DEPENDANCY_DIR/SDL2-$SDL2_VERSION'
elif sys.platform == 'darwin':
    sdl2_path = '$DEPENDANCY_DIR/SDL2.framework'
else:
    sdl2_path = ''

TOOLSETS = {'default': ['default'],
            'msvc': ['msvc', 'mslink'],
            'mingw': ['mingw'],
            }

env = Environment(
    tools=TOOLSETS[env_vars['TOOLSET']] + ['tar', 'zip'],
    WINDOWS_TOOLSET=windows_toolset,
    variables=vars,
    ENV=os.environ,
    LIBTCOD_ROOT_DIR=LIBTCOD_ROOT_DIR,
    INSTALL_DIR='$LIBTCOD_ROOT_DIR',
    CPPPATH=['$VARIANT/include',
             '$VARIANT/include/gui',
             '$VARIANT/src/png',
             '$VARIANT/src/zlib',
             ],
    LIBPATH=['$VARIANT'],
    VARIANT='libtcod-$TAG',
    DATE=time.strftime("%Y-%m-%d"),
    DATETIME=time.strftime("%Y-%m-%d-%H%M%S"),
    TARGET_ARCH = env_vars['ARCH'],
    SDL2_PATH=sdl2_path,
    SDL2_ZIP_FILE=sdl2_zip_file,
    SDL2_ZIP_PATH='$DEPENDANCY_DIR/$SDL2_ZIP_FILE',
    SDL2_ZIP_URL='https://www.libsdl.org/release/$SDL2_ZIP_FILE',
    SDL2_DMG_FILE='SDL2-${SDL2_VERSION}.dmg',
    SDL2_DMG_PATH='$DEPENDANCY_DIR/$SDL2_DMG_FILE',
    SDL2_DMG_URL='https://www.libsdl.org/release/$SDL2_DMG_FILE',
    )

env['CCFLAGS'] = Split(env['CCFLAGS'])
env['LINKFLAGS'] = Split(env['LINKFLAGS'])
env['CPPDEFINES'] = Split(env['CPPDEFINES'])

if sys.platform != 'darwin':
    # Removing the lib prefix on Mac causes a link failure.
    env.Replace(LIBPREFIX='', SHLIBPREFIX='')

env['SDL_ARCH'] = 'x86' if env['ARCH'] == 'x86' else 'x64'
env['SDL_MINGW_ARCH'] = 'i686' if env['SDL_ARCH'] == 'x86' else 'x86_64'

using_msvc = env['CC'] == 'cl'

if env['MODE'] == 'RELEASE':
    if using_msvc: # use msvc flags
        env.Prepend(CCFLAGS=['-W3', '-O2'])
    else: # use gcc flags
        env.Prepend(CCFLAGS=['-Wall', '-O2'])
if env['MODE'] == 'DEBUG':
    if using_msvc:
        env.Prepend(CCFLAGS=['-W3', '-DEBUG'])
    else:
        env.Prepend(CCFLAGS=['-Wall', '-g'])

sdl_package = []
sdl_install = []

if sys.platform == 'win32':
    unpack_sdl2_win32(env)
    if using_msvc:
        env.Append(CPPDEFINES=['_CRT_SECURE_NO_WARNINGS'])
    env.Append(LIBS=['User32'])
    if env['WINDOWS_TOOLSET'] == 'msvc':
        env.Append(CPPPATH=['$SDL2_PATH/include'],
                   LIBPATH=['$SDL2_PATH/lib/$SDL_ARCH'])
        sdl_install = env.Install('$INSTALL_DIR',
                                  '$SDL2_PATH/lib/$SDL_ARCH/SDL2.dll')
        sdl_package = env.Install('$VARIANT',
                                  '$SDL2_PATH/lib/$SDL_ARCH/SDL2.dll')
    else:
        # I couldn't get sdl2-config to run on Windows
        # `sdl2-config --cflags --libs` is manually unpacked here
        env.Append(
            CPPPATH=['$SDL2_PATH/$SDL_MINGW_ARCH-w64-mingw32/include/SDL2'],
            LIBPATH=['$SDL2_PATH/$SDL_MINGW_ARCH-w64-mingw32/lib'],
            CCFLAGS=['-mwindows'],
            LIBS=['mingw32', 'SDL2main', 'SDL2'],
            #CPPDEFINES=['main=SDL_main'],
            )

        sdl_install = env.Install(
            '$INSTALL_DIR',
            '$SDL2_PATH/$SDL_MINGW_ARCH-w64-mingw32/bin/SDL2.dll'
            )
        sdl_package = env.Install(
            '$VARIANT',
            '$SDL2_PATH/$SDL_MINGW_ARCH-w64-mingw32/bin/SDL2.dll'
            )
elif sys.platform == 'darwin':
    unpack_sdl2_darwin(env)
    env['ARCH'] = 'x86.x86_64'
    env.Append(CPPPATH=['$SDL2_PATH/Headers'])
    sdl_install = env.Install('$INSTALL_DIR', '$SDL2_PATH')
    sdl_package = env.Install('$VARIANT', '$SDL2_PATH')
else:
    env.ParseConfig("sdl2-config --cflags --libs")
    env.Append(LIBS=['m'])

if sys.platform == 'darwin':
    OSX_FLAGS = ['-arch', 'i386', '-arch', 'x86_64']
    env.Append(CCFLAGS=OSX_FLAGS,
               LINKFLAGS=OSX_FLAGS)
    # Added a ton ot rpath's.
    # Only '@loader_path/' is actually needed.
    env.Append(LINKFLAGS=['-framework', 'ApplicationServices',
                          '-framework', 'SDL2',
                          '-F$SDL2_PATH/..',
                          '-rpath', '@loader_path/',
                          '-rpath', '@loader_path/../Frameworks',
                          '-rpath', '/Library/Frameworks',
                          '-rpath', '/System/Library/Frameworks',
                          ]
               )

if (sys.platform != 'darwin' and sys.platform != 'win32') or env['TOOLSET'] == 'mingw':
    arch_flags = ['-m32'] if env['ARCH'] == 'x86' else ['-m64']
    env.Append(CCFLAGS=arch_flags, LINKFLAGS=arch_flags)

env.VariantDir('$VARIANT', '$LIBTCOD_ROOT_DIR')

env_libtcod = env.Clone()
env_libtcod.Append(CPPDEFINES=['LIBTCOD_EXPORTS'])
if not using_msvc:
    env_libtcod.Prepend(CFLAGS=['-ansi'])

if sys.platform != 'darwin':
    env_libtcod.Append(LIBS=['SDL2'])

libtcod = env_libtcod.SharedLibrary(
    target='$VARIANT/libtcod',
    source=(env.Glob('$VARIANT/src/*.c*') + env.Glob('$VARIANT/src/*/*.c')),
    )

env_libtcod_gui = env.Clone()
env_libtcod_gui.Append(
    CPPDEFINES=['LIBTCOD_GUI_EXPORTS'],
    LIBS=['libtcod' if sys.platform == 'win32' else 'tcod'],
    )

libtcod_gui = env_libtcod_gui.SharedLibrary(
    target='$VARIANT/libtcod-gui',
    source=Glob(env.subst('$VARIANT/src/gui/*.cpp')),
    )

env.Depends(libtcod_gui, libtcod)

if sys.platform == 'darwin':
    env_libtcod.Append(LINKFLAGS=['-install_name', '@rpath/libtcod.dylib'])
    env_libtcod_gui.Append(LINKFLAGS=['-install_name',
                                      '@rpath/libtcod-gui.dylib'])

lib_build = [libtcod, libtcod_gui]
lib_install =  env.Install('$INSTALL_DIR', lib_build) + sdl_install
Alias("build_libtcod", lib_build)
Alias("develop_libtcod", lib_build + lib_install)

samples_builders = samples_factory()
samples_installers = env.Install('$INSTALL_DIR', samples_builders)
Alias("build_samples", samples_builders)
Alias("develop_samples", samples_builders + samples_installers)

package_files = (
    lib_build + samples_builders + sdl_package +
    env.Glob('$VARIANT/*.md') +
    env.Glob('$VARIANT/*.txt') +
    env.Glob('$VARIANT/*.png') +
    env.Glob('$VARIANT/data/**/*.*') +
    env.Glob('$VARIANT/doc/**/*.*') +
    env.Glob('$VARIANT/include/*.h*') +
    env.Glob('$VARIANT/include/**/*.h*') +
    env.Glob('$VARIANT/lua/*.lua') +
    env.Glob('$VARIANT/python/*.py') +
    env.Glob('$VARIANT/python/**/*.py') +
    env.Glob('$VARIANT/python/**.pyproj') +
    env.Glob('$VARIANT/python/**.cfg') +
    env.Glob('$VARIANT/python/**.in') +

=== debian/changelog ===
libtcod (1.6.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Upgrade to Standards-Version 4.0.0 (no changes).
  * Upgrade to debhelper compat level 10.
  * Update symbols file.
  * Update debian/copyright.
  * Refresh patches.

 -- Fabian Wolff <fabi.wolff@arcor.de>  Wed, 21 Jun 2017 16:50:29 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Fabian Wolff <fabi.wolff@arcor.de>
 Section: libs
 Priority: extra
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                autoconf,
                automake,
                libtool,
@@ -11,7 +11,7 @@
                zlib1g-dev,
                python,
                dh-python
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://bitbucket.org/libtcod/libtcod
 
 Package: libtcod0

## libtcod 1.6.4%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libtcod
 Maintainer: Fabian Wolff <fabi.wolff@arcor.de>
 Section: libs
-Priority: extra
+Priority: optional
 Build-Depends: debhelper (>= 10),
                autoconf,
                automake,
@@ -11,7 +11,7 @@
                zlib1g-dev,
                python,
                dh-python
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Homepage: https://bitbucket.org/libtcod/libtcod
 
 Package: libtcod0

## libtcod 1.6.4+dfsg

=== build/scons/SConstruct ===
--- 
+++ 
@@ -10,6 +10,7 @@
 import urllib
 import zipfile
 
+import config
 
 def ensure_path(path):
     """Make sure a directory exists for a new file at path."""
@@ -117,8 +118,7 @@
 
 vars = Variables()
 pre_vars = Environment(variables=vars)
-vars.Add(EnumVariable('MODE', 'Set build variant.', 'RELEASE',
-                      allowed_values=('RELEASE', 'DEBUG')))
+vars.Add('MODE', 'Set build variant.', 'DEBUG')
 
 default_toolset = 'msvc' if sys.platform == 'win32' else 'default'
 vars.Add(EnumVariable('TOOLSET', 'Force using this compiler. (Windows only)',
@@ -140,12 +140,12 @@
     default_tag = '$VERSION-$ARCH-$TOOLSET'
     windows_toolset = env_vars['TOOLSET']
 
-if env_vars['MODE'] != 'RELEASE':
+if env_vars['MODE'].upper() != 'RELEASE':
     default_tag += '-$MODE'
 
 vars.Add('TAG', 'Variant tag.', default_tag)
 vars.Add('CPPDEFINES', 'Defined preprocessor values.',
-         'NO_OPENGL NDEBUG TCOD_SDL2')
+         ' '.join(config.DEFINES))
 
 vars.Add('VERSION', 'libtcod version.', get_libtcod_version())
 vars.Add('DIST_NAME', 'Name of the output zip file.', '$VARIANT-$DATETIME')
@@ -175,7 +175,7 @@
             }
 
 env = Environment(
-    tools=TOOLSETS[env_vars['TOOLSET']] + ['tar', 'zip'],
+    tools=TOOLSETS[env_vars['TOOLSET'].lower()] + ['tar', 'zip'],
     WINDOWS_TOOLSET=windows_toolset,
     variables=vars,
     ENV=os.environ,
@@ -213,16 +213,8 @@
 
 using_msvc = env['CC'] == 'cl'
 
-if env['MODE'] == 'RELEASE':
-    if using_msvc: # use msvc flags
-        env.Prepend(CCFLAGS=['-W3', '-O2'])
-    else: # use gcc flags
-        env.Prepend(CCFLAGS=['-Wall', '-O2'])
-if env['MODE'] == 'DEBUG':
-    if using_msvc:
-        env.Prepend(CCFLAGS=['-W3', '-DEBUG'])
-    else:
-        env.Prepend(CCFLAGS=['-Wall', '-g'])
+CONFIG_NAME = '%s_%s' % (env['MODE'].upper(), 'MSVC' if using_msvc else 'GCC')
+env.Prepend(**getattr(config, CONFIG_NAME))
 
 sdl_package = []
 sdl_install = []
@@ -298,6 +290,14 @@
 if sys.platform != 'darwin':
     env_libtcod.Append(LIBS=['SDL2'])
 
+if 'NO_OPENGL' not in env['CPPDEFINES']:
+    if sys.platform == 'win32':
+        env_libtcod.Append(LIBS=['opengl32'])
+    elif sys.platform == 'darwin':
+        env_libtcod.Append(LINKFLAGS=['-framework', 'OpenGL'])
+    else:
+        env_libtcod.Append(LIBS=['GL'])
+
 libtcod = env_libtcod.SharedLibrary(
     target='$VARIANT/libtcod',
     source=(env.Glob('$VARIANT/src/*.c*') + env.Glob('$VARIANT/src/*/*.c')),
@@ -345,4 +345,3 @@
     env.Glob('$VARIANT/python/**/*.py') +
     env.Glob('$VARIANT/python/**.pyproj') +
     env.Glob('$VARIANT/python/**.cfg') +
-    env.Glob('$VARIANT/python/**.in') +

=== debian/changelog ===
libtcod (1.6.4+dfsg-2) unstable; urgency=medium

  * Add patch 03-disable-rexpaint.patch to remove support for loading
    and saving REXPaint files (Closes: #884000).

 -- Fabian Wolff <fabi.wolff@arcor.de>  Sun, 24 Dec 2017 17:59:10 +0100

libtcod (1.6.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add Files-Excluded field in debian/copyright.
  * Refresh patches.
  * Upgrade to Standards-Version 4.1.2:
    debian/control: change priority from "extra" to "optional"
  * Update symbols file.

 -- Fabian Wolff <fabi.wolff@arcor.de>  Sat, 09 Dec 2017 15:48:50 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@  --with python2 --parallel --sourcedirectory=build/autotools
+	dh $@  --with python2 --sourcedirectory=build/autotools
 
 override_dh_auto_configure:
 	cd build/autotools; autoreconf -fi

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libtcod-$1.tar.gz%" https://bitbucket.org/libtcod/libtcod/downloads?tab=tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## libtcod 1.7.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,20 @@
 Maintainer: Fabian Wolff <fabi.wolff@arcor.de>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               autoconf,
-               automake,
-               libtool,
+Build-Depends: debhelper (>= 11),
                pkg-config,
                libsdl2-dev,
                zlib1g-dev,
                python,
+               python3,
                dh-python
-Standards-Version: 4.1.2
+Standards-Version: 4.1.4
 Homepage: https://bitbucket.org/libtcod/libtcod
+Vcs-Git: https://salsa.debian.org/wolff-guest/libtcod.git/
+Vcs-Browser: https://salsa.debian.org/wolff-guest/libtcod
 
 Package: libtcod0
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
@@ -29,7 +29,7 @@
  install it manually.
 
 Package: libtcod-dev
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Section: libdevel
 Depends: libtcod0 (= ${binary:Version}),
@@ -48,10 +48,25 @@
          ${shlibs:Depends},
          ${misc:Depends},
          ${python:Depends}
-Description: Python bindings for the libtcod library
+Description: Python 2 bindings for the libtcod library
  Libtcod offers a free, fast, portable and uncomplicated API for
  roguelike developers providing an advanced true color console, input
  and lots of other utilities frequently used in roguelikes.
  .
  This package contains the libtcodpy wrapper module needed to use
- libtcod in Python programs.
+ libtcod in Python 2 programs.
+
+Package: python3-libtcod
+Architecture: all
+Section: python
+Depends: libtcod-dev (>= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends},
+         ${python3:Depends}
+Description: Python 3 bindings for the libtcod library
+ Libtcod offers a free, fast, portable and uncomplicated API for
+ roguelike developers providing an advanced true color console, input
+ and lots of other utilities frequently used in roguelikes.
+ .
+ This package contains the libtcodpy wrapper module needed to use
+ libtcod in Python 3 programs.
